Package com.mckoi.database

## Class SchemaDef

- java.lang.Object
- - com.mckoi.database.SchemaDef

    public final class SchemaDef
    extends java.lang.Object

A definition of a schema.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`SchemaDef​(java.lang.String name, java.lang.String type)` Constructs the SchemaDef.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Returns the case correct name of the schema.
`java.lang.String` `getType()` Returns the type of this schema.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaDef

    public SchemaDef​(java.lang.String name,
                     java.lang.String type)

Constructs the SchemaDef.

### Method Detail

#### getName

    public java.lang.String getName()

Returns the case correct name of the schema.

#### getType

    public java.lang.String getType()

Returns the type of this schema.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`